package repo

import (
	"yuleduiPay/service/po"

	"github.com/gogf/gf/v2/frame/g"
)

type User struct {
}

func (t *User) GetUserByWxId(wxId string) (*po.User, error) {
	user := &po.User{}
	err := g.Model("user").Where("wx_id = ?", wxId).Scan(user)
	return user, err
}
func (t *User) CreateUser(user *po.User) error {
	_, err := g.Model("user").Data(user).Insert()
	return err
}
func (t *User) MobileExist(mobile string) (bool, error) {
	ok, err := g.Model("user").Where("mobile = ?", mobile).Exist()
	return ok, err
}

func (t *User) UpdatesUser(updateMap g.Map, mobile string) error {
	_, err := g.Model("user").Data(updateMap).Where("mobile = ?", mobile).Update()
	return err
}
