package vo

type MQTTOrder struct {
	Topic        string `json:"topic"`        //主题
	MsgId        string `json:"msgId"`        //消息ID
	OrderId      string `json:"orderId"`      //订单号
	OrderEndTime int64  `json:"orderEndTime"` //支付完成时间，unix时间戳
	Price        string `json:"price"`        //订单原价（小数点后6位）
	Amount       string `json:"amount"`       //支付金额（小数点后6位）
	Bean         string `json:"bean"`         //抵扣金豆
	ShopId       string `json:"shopId"`       //店铺ID
	OpenId       string `json:"openId"`       //微信或支付宝用户Id
	Channel      int    `json:"channel"`      //1微信2支付宝
	Mobile       string `json:"mobile"`       //付款用户手机号
	SendTime     int64  `json:"sendTime"`     //发送消息时间,unix时间戳
}
