package vo

import "github.com/gogf/gf/v2/frame/g"

type WxLoginReq struct {
	g.Meta `path:"/login" method:"post"`
	JsCode string `json:"jsCode"`
}

type WxLoginRes struct {
	OpenId     string  `json:"openid"`      // 用户唯一标识
	SessionKey string  `json:"session_key"` // 会话密钥
	UnionId    string  `json:"unionid"`     // 用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台帐号下会返回
	ErrCode    int     `json:"errcode"`     // 错误码
	ErrMsg     string  `json:"errmsg"`      // 错误信息
	Mobile     string  `json:"mobile"`      // 用户手机号
	Bean       float64 `json:"bean"`        // 金豆个数
}

type WxMobileReq struct {
	g.Meta `path:"/register" method:"post"`
	Code   string `json:"code"`
	OpenId string `json:"openId"`
}
type WxMobileRes struct {
	Mobile string `json:"mobile"`
}
